mappable.h File Reference

Mappable memory allocator. More...

`#include <3ds/types.h>`

Go to the source code of this file.

## Functions

void | mappableInit (u32 addrMin, u32 addrMax)
| Initializes the mappable allocator. More...
void * | mappableAlloc (size_t size)
| Finds a mappable memory area. More...
void | mappableFree (void *mem)
| Frees a mappable area (stubbed). More...

## Detailed Description

Mappable memory allocator.

## Function Documentation

## mappableAlloc()

void* mappableAlloc | ( | size_t | size | ) |

Finds a mappable memory area.

Parameters

  size | Size of the area to find.

Returns
  The mappable area.

## mappableFree()

void mappableFree | ( | void * | mem | ) |

Frees a mappable area (stubbed).

Parameters

  mem | Mappable area to free.

## mappableInit()

void mappableInit | ( | u32 | addrMin,
|  | u32 | addrMax
| ) |  |

Initializes the mappable allocator.

Parameters

  addrMin | Minimum address.
  addrMax | Maxium address.